<?
	ob_start();
	session_start();
	require_once("../functions.php");
	if (!checkLogin()){
		header('Location:signin.php?r=config.php');
	}
	include('header.php');
	
	
	if ($_POST){
		if ($_POST['title'] || $_POST['description']){
			if (save('../data.json', array('title' => base64_encode($_POST['title']), 'description' => base64_encode($_POST['description'])))){
				$success = "<div class='sb-success'>Title and Description of Blog have been excellently updated! Nice job.</div>";
			}
			else{
				$error = "<div class='sb-error'>Could not save settings.</div>";
			}
		}
		else if ($_POST['pw-change']){
			if (!$_POST['password'] || !$_POST['new_password'] ||  !$_POST['confirm_password']){
				$error = "<div class='sb-error'>You didn't enter everything for password changing.</div>";
			}
			else if($_POST['confirm_password']!=$_POST['new_password']){
				$error = "<div class='sb-error'>Your passwords don't match dawg.</div>";

			}
			else if (!login($_POST['password'])){
				$error = "<div class='sb-error'>Could not verify your old password.</div>";
			}
			else if (changePassword($_POST['password'], $_POST['new_password'])){
					$success = "<div class='sb-success'>Password succesfully changed</div>";
			}
			else{
				$error = "<div class='sb-error'>Couldn't change password.</div>";
			}
		}
	}
	$blog_data = getBlogData('../data.json');
?>
	<link rel="stylesheet" type="text/css" href='../style.css'>
	<h2>Configuration</h2>
		<?
	if ($error){
		echo  $error;
	}
	if ($success){
		echo  $success;
	}
	?>
	<fieldset style='width:500px;padding:25px;'>
	<legend >Info</legend>
	<table style='width:500px;'>
	<tr><td style='width:150px'>Current PID</td><td><?=getPID('../data.json')?></td></tr><tr><td>
	Amount of Posts: </td><td><?=count(getArticles_json('../data.json'))?></td>
	</tr>
	</table>
	</fieldset>
	
	
	<fieldset style='width:500px;margin-top:25px;padding:25px;'>
	<legend >Change Password</legend>
	<table style='width:500px;'>
	<form method="post" action="config.php">
	<tr ><td style='width:150px; padding-bottom: 25px;'>Old Password:</td><td style='padding-bottom: 25px;'>
	<input type='password' name='password' size='25'></td></tr><tr><td>
	New Password: </td><td><input type='password' name='new_password' size='25'></td></tr>
	<tr><td>
	Confirm New: </td><td><input type='password' name='confirm_password' size='25'></td></tr>
	<tr>
	<input type='hidden' name='pw-change' value='1'>
	<td></td><td><input type='submit' value='save'></td>
	</tr>
	</form>
	</table>
	</fieldset>
	
	<fieldset style='width:500px;margin-top:25px;padding:25px;'>
	<legend >Other Settings</legend>
	<table style='width:500px;'>
	<form method="post" action="config.php">
	<tr  valign=top><td style='width:150px'>
	 Title: </td><td><input type='text' name='title' value='<?=stripslashes(htmlentities($blog_data['title'], ENT_QUOTES))?>' size='25'></td></tr>
	 <tr  valign=top><td>
     Description: </td><td><textarea name='description' cols=32 rows=8><?=stripslashes(htmlentities($blog_data['description'], ENT_QUOTES))?></textarea></td></tr>
	<tr>
	<td></td><td><input type='submit' value='save'></td>
	</tr>
	</form>
	</table>
	</fieldset>
	<? ob_end_flush()?>